// bounce.h : Declares the class interfaces for the Bounce child window.

#ifndef __BOUNCE_H__
#define __BOUNCE_H__

class CBounceWin : public CMDIChildWnd
	{
	    // bounce window client area and bouncing ball color/size parameters
	short m_nColor, m_xPixel, m_yPixel, m_cxRadius, m_cyRadius;
	short m_cxMove, m_cyMove, m_cxClient, m_cyClient, m_cxTotal, m_cyTotal;
	short m_xCenter, m_yCenter;
	short m_nSpeed;

    	// for replicating bouncing ball
	CBitmap* m_pBitmap;
	COLORREF m_clrBall;
	
	CMenu* m_pMenuCurrent;
	BOOL m_bWindowActive;

public:
	CBounceWin();
	BOOL Create(LPCSTR szTitle, DWORD style = (WS_CHILD | WS_VISIBLE | WS_OVERLAPPEDWINDOW),
				const RECT& rect = rectDefault,
				CMDIFrameWnd* pParent = NULL);
	virtual ~CBounceWin();
	void MakeNewBall();

	afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnMDIActivate(BOOL bActivate,
					   CWnd* pActivatedWnd, CWnd* pDeactivatedWnd);
	afx_msg void OnColor();
	afx_msg void OnSpeed();
	DECLARE_MESSAGE_MAP()
    };

#endif // __BOUNCE_H__

